local L = AceLibrary("AceLocale-2.2"):new("MageAnnounce")

L:RegisterTranslations("enUS", function() return {
	["Slash-Commands"] = { "/mageannounce", "/magea" },
     
	----- Options Names -----
	["Options"] = true,
	["Options Menu"] = true,
	["Enable in BGs"] = true,
	["Enable Outside Instances"] = true,
	["Custom Channel"] = true,
	-- Spell Options
	["Spell Options"] = true,
	["Poly Message"] = true,
	["I use a focus macro"] = true,
	["Show Polymorph Messages in Raid"] = true,
	["Show Polymorph Messages in Party"] = true,
	["Show Polymorph Messages in Custom Channel"] = true,
	["Counterspell Message"] = true,
	["Show Counterspell Messages in Raid"] = true,
	["Show Counterspell Messages in Party"] = true,
	["Show Counterspell Messages in Custom Channel"] = true,
	["Slow Message"] = true,
	["Show Slow Messages in Raid"] = true,
	["Show Slow Messages in Party"] = true,
	["Show Slow Messages in Custom Channel"] = true,
	-- Portal Options
	["Portal Options"] = true,
	["Portal Message"] = true,
	["Show Portal Messages in Party"] = true,
	["Show Portal Messages in Raid"] = true,
	["Show Portal Messages in Custom Channel"] = true,
	["Send Polymorph Warning Messages via whisper"] = true,
	["Poly warning message"] = true,

	----- Options Descriptions -----
	["Shows the Options Menu"] = true,
	["Enable messages in Battlegrounds"] = true,
	["Enable messages in Outside 5man and raid instances"] = true,
	["Custom channel to show messages in"] = true,
	-- Spell Options
	["Show Spell Options"] = true,
	["Check this if you use a focus macro for sheeping"] = true,
	["Message to be displayed when polymorphing"] = true,
	["Message to be displayed when counterspelling"] = true,
	["Message to be displayed when slowing"] = true,
	["Toggles the display of polymorph messages in raid chat"] = true,
	["Toggles the display of polymorph messages in party chat"] = true,
	["Toggles the display of polymorph messages in the custom channel"] = true,
	["Toggles the display of counterspell messages in raid chat"] = true,
	["Toggles the display of counterspell messages in party chat"] = true,
	["Toggles the display of counterspell messages in the custom channel"] = true,
	["Toggles the display of slow messages in raid chat"] = true,
	["Toggles the display of slow messages in party chat"] = true,
	["Toggles the display of slow messages in the custom channel"] = true,
	-- Portal Options
	["Show Portal Options"] = true,
	["Toggles the display of portal messages in raid chat"] = true,
	["Toggles the display of portal messages in party chat"] = true,
	["Toggles the display of portal messages in the custom channel"] = true,
	["Message to be displayed when opening a portal, %s will be replace with the city name"] = true,
	["Toggles the send of polymorph warning via whisper"] = true,
	["Message to be sent to party members who target your target when polymorphing via wisper"] = true,
	----- Default Messages -----
	["Now Polymorphing %t"] = true,
	["Counterspelling %t"] = true,
	["Slowing %t"] = true,
	["Incoming Portal to %s"] = true,
	["I am casting Polymorph on your target. Please stop attacking!"] = true,

	----- Usage Descriptions -----
	["<Your message>"] = true,
	["<Channel>"] = true,

	----- Spell Strings -----
	["Portal"] = true,
	["Polymorph"] = true,
	["Counterspell"] = true,
	["Slow"] = true,
} end)